Sanctions Türkiye
  1. Users
Sanctions Türkiye
  • Health
    • Servis sağlık kontrolü
      GET
  • Auth
    • Kullanıcı girişi
      POST
    • Access token yenile
      POST
    • Aktif oturumu getir
      GET
  • Users
    • Kurum kullanıcılarını listele
      GET
    • Yeni kullanıcı oluştur
      POST
    • Kullanıcı bilgilerini güncelle
      PATCH
    • Kullanıcıyı pasife çek
      DELETE
  • API Keys
    • API anahtarlarını listele
      GET
    • Yeni API anahtarı oluştur
      POST
    • API anahtarını güncelle
      PATCH
    • API anahtarını sil
      DELETE
  • Customers
    • Müşterileri listele
      GET
    • Müşteri oluştur
      POST
    • Müşteri detay
      GET
    • Müşteri güncelle
      PATCH
    • Müşteriyi sil
      DELETE
  • Screenings
    • Screening kayıtlarını listele
      GET
    • Yeni screening başlat
      POST
    • Screening detayını getir
      GET
    • Screening kararını güncelle
      PATCH
  • Search
    • Yaptırım araması (GET)
      GET
    • Yaptırım araması (POST)
      POST
    • API anahtarı ile arama (GET)
      GET
    • API anahtarı ile arama (POST)
      POST
  • Search Logs
    • Arama loglarını listele
    • Arama logu detayı
  • API Key Logs
    • API key isteklerini listele
    • API key log detayı
  • Schemas
    • Schemas
      • ErrorResponse
      • AuthLoginRequest
      • AuthRefreshRequest
      • AuthSession
      • UserResponse
      • UserCreateRequest
      • UserUpdateRequest
      • ApiKeyResponse
      • ApiKeyCreateRequest
      • ApiKeyUpdateRequest
      • CustomerRequest
      • CustomerResponse
      • PaginatedCustomers
      • ScreeningHit
      • ScreeningRequest
      • ScreeningDecisionRequest
      • ScreeningResponse
      • PaginatedScreenings
      • SearchIdentifier
      • SearchQuery
      • EntityRecord
      • SanctionRecord
      • SearchResultItem
      • SearchResponse
      • SearchLogResponse
      • PaginatedSearchLogs
      • ApiKeyLogResponse
      • PaginatedApiKeyLogs
  1. Users

Kullanıcı bilgilerini güncelle

PATCH
/api/users/{userId}

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Güncellendi
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.sanctions.tr/api/users/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "fullName": "string",
    "password": "pa$$word",
    "role": "admin",
    "isActive": true
}'
Response Response Example
{
    "id": "string",
    "email": "user@example.com",
    "fullName": "string",
    "role": "admin",
    "isActive": true,
    "createdAt": "2019-08-24T14:15:22.123Z",
    "updatedAt": "2019-08-24T14:15:22.123Z"
}
Modified at 2025-12-18 00:56:56
Previous
Yeni kullanıcı oluştur
Next
Kullanıcıyı pasife çek
Built with